var
n,k,i:integer;
f,g:text;
s:array [1..10000] of string;
begin
assign(f,'broscute.in');
reset(f);
readln(f,n,k);
for i:=1 to k do
readln(s[i]);

assign(g,'broscute.out');
rewrite(g);
for i:=1 to k do
writeln(g,s[i]);

close(f);
close(g);
end.
